---
references:
- id: Abdel-GawadAdaptive2007
  accessed:
    - year: 2017
      month: 8
      day: 30
  author:
    - family: Abdel-Gawad
      given: Ahmed
    - family: Ratner
      given: Simon
  citation-key: Abdel-GawadAdaptive2007
  issued:
    - year: 2007
  title: >-
    Adaptive optimization of hyperparameters in L2-regularised logistic
    regression
  type: report
  URL: >-
    http://cs229.stanford.edu/proj2007/AbdelGawadRatner-AdaptiveHyperparameterOptimization.pdf

- id: BengioGradientBased2000
  author:
    - family: Bengio
      given: Yoshua
  citation-key: BengioGradientBased2000
  container-title: Neural Computation
  container-title-short: Neural Computation
  DOI: 10.1162/089976600300015187
  ISSN: 0899-7667
  issue: '8'
  issued:
    - year: 2000
      month: 8
      day: 1
  page: 1889-1900
  title: Gradient-Based Optimization of Hyperparameters
  type: article-journal
  URL: http://www.iro.umontreal.ca/~lisa/bib/pub_subject/language/pointeurs/nc.pdf
  volume: '12'

- id: BergstraAlgorithms2011
  accessed:
    - year: 2015
      month: 3
      day: 27
  author:
    - family: Bergstra
      given: James S.
    - family: Bardenet
      given: Rémi
    - family: Bengio
      given: Yoshua
    - family: Kégl
      given: Balázs
  citation-key: BergstraAlgorithms2011
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2011
  page: 2546–2554
  publisher: Curran Associates, Inc.
  title: Algorithms for hyper-parameter optimization
  type: paper-conference
  URL: http://papers.nips.cc/paper/4443-algorithms-for-hyper-parameter-optimization

- id: BergstraMaking2013
  author:
    - family: Bergstra
      given: J
    - family: Yamins
      given: D
    - family: Cox
      given: D D
  citation-key: BergstraMaking2013
  container-title: ICML
  issued:
    - year: 2013
  language: en
  page: '9'
  title: >-
    Making a Science of Model Search: Hyperparameter Optimization in Hundreds of
    Dimensions for Vision Architectures
  type: paper-conference

- id: DomkeGeneric2012
  accessed:
    - year: 2017
      month: 8
      day: 30
  author:
    - family: Domke
      given: Justin
  citation-key: DomkeGeneric2012
  container-title: International Conference on Artificial Intelligence and Statistics
  event-title: Artificial Intelligence and Statistics
  issued:
    - year: 2012
  page: 318–326
  title: Generic Methods for Optimization-Based Modeling
  type: paper-conference
  URL: http://proceedings.mlr.press/v22/domke12

- id: EggenspergerEmpirical
  accessed:
    - year: 2017
      month: 8
      day: 21
  author:
    - family: Eggensperger
      given: Katharina
    - family: Feurer
      given: Matthias
    - family: Hutter
      given: Frank
    - family: Bergstra
      given: James
    - family: Snoek
      given: Jasper
    - family: Hoos
      given: Holger H.
    - family: Leyton-Brown
      given: Kevin
  citation-key: EggenspergerEmpirical
  title: >-
    Towards an Empirical Foundation for Assessing Bayesian Optimization of
    Hyperparameters
  type: article-journal
  URL: http://www.automl.org/papers/13-BayesOpt_EmpiricalFoundation.pdf

- id: EigenmannGradient1999
  author:
    - family: Eigenmann
      given: R.
    - family: Nossek
      given: J. A.
  citation-key: EigenmannGradient1999
  container-title: >-
    Neural Networks for Signal Processing IX: Proceedings of the 1999 IEEE
    Signal Processing Society Workshop (Cat. No.98TH8468)
  DOI: 10.1109/NNSP.1999.788126
  event-title: >-
    Neural Networks for Signal Processing IX: Proceedings of the 1999 IEEE
    Signal Processing Society Workshop (Cat. No.98TH8468)
  issued:
    - year: 1999
      month: 8
  page: 87-94
  title: Gradient based adaptive regularization
  type: paper-conference

- id: ElskenNeural2019
  accessed:
    - year: 2020
      month: 10
      day: 1
  author:
    - family: Elsken
      given: Thomas
    - family: Metzen
      given: Jan Hendrik
    - family: Hutter
      given: Frank
  citation-key: ElskenNeural2019
  container-title: arXiv:1808.05377 [cs, stat]
  issued:
    - year: 2019
      month: 4
      day: 26
  title: 'Neural Architecture Search: A Survey'
  type: article-journal
  URL: http://arxiv.org/abs/1808.05377

- id: FeurerEfficient2015
  author:
    - family: Feurer
      given: Matthias
    - family: Klein
      given: Aaron
    - family: Eggensperger
      given: Katharina
    - family: Springenberg
      given: Jost
    - family: Blum
      given: Manuel
    - family: Hutter
      given: Frank
  citation-key: FeurerEfficient2015
  container-title: Advances in Neural Information Processing Systems 28
  editor:
    - family: Cortes
      given: C.
    - family: Lawrence
      given: N. D.
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Garnett
      given: R.
  issued:
    - year: 2015
  page: 2962–2970
  publisher: Curran Associates, Inc.
  title: Efficient and Robust Automated Machine Learning
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/5872-efficient-and-robust-automated-machine-learning.pdf

- id: FooEfficient2008
  accessed:
    - year: 2017
      month: 8
      day: 30
  author:
    - family: Foo
      given: Chuan-sheng
    - family: Do
      given: Chuong B.
    - family: Ng
      given: Andrew Y.
  citation-key: FooEfficient2008
  container-title: Advances in Neural Information Processing Systems 20
  editor:
    - family: Platt
      given: J. C.
    - family: Koller
      given: D.
    - family: Singer
      given: Y.
    - family: Roweis
      given: S. T.
  issued:
    - year: 2008
  page: 377–384
  publisher: Curran Associates, Inc.
  title: Efficient multiple hyperparameter learning for log-linear models
  type: chapter
  URL: >-
    http://papers.nips.cc/paper/3286-efficient-multiple-hyperparameter-learning-for-log-linear-models.pdf

- id: FuDrMAD2016
  accessed:
    - year: 2017
      month: 8
      day: 20
  author:
    - family: Fu
      given: Jie
    - family: Luo
      given: Hongyin
    - family: Feng
      given: Jiashi
    - family: Low
      given: Kian Hsiang
    - family: Chua
      given: Tat-Seng
  citation-key: FuDrMAD2016
  container-title: PRoceedings of  IJCAI, 2016
  event-title: IJCAI, 2016
  issued:
    - year: 2016
      month: 1
      day: 5
  title: >-
    DrMAD: Distilling Reverse-Mode Automatic Differentiation for Optimizing
    Hyperparameters of Deep Neural Networks
  type: paper-conference
  URL: http://arxiv.org/abs/1601.00917

- id: GelbartBayesian2014
  author:
    - family: Gelbart
      given: Michael A.
    - family: Snoek
      given: Jasper
    - family: Adams
      given: Ryan P.
  citation-key: GelbartBayesian2014
  collection-title: UAI'14
  container-title: >-
    Proceedings of the Thirtieth Conference on Uncertainty in Artificial
    Intelligence
  event-place: Arlington, Virginia, United States
  ISBN: 978-0-9749039-1-0
  issued:
    - year: 2014
  page: 250–259
  publisher: AUAI Press
  publisher-place: Arlington, Virginia, United States
  title: Bayesian Optimization with Unknown Constraints
  type: paper-conference
  URL: http://hips.seas.harvard.edu/files/gelbart-constrained-uai-2014.pdf

- id: GrunewalderRegret2010
  author:
    - family: Grünewälder
      given: Steffen
    - family: Audibert
      given: Jean-Yves
    - family: Opper
      given: Manfred
    - family: Shawe-Taylor
      given: John
  citation-key: GrunewalderRegret2010
  event-title: >-
    AISTATS 2010 - Thirteenth International Conference on Artificial
    Intelligence and Statistics
  issued:
    - year: 2010
      month: 5
      day: 13
  language: en
  page: 273-280
  title: Regret Bounds for Gaussian Process Bandit Problems
  type: paper-conference
  URL: https://hal-enpc.archives-ouvertes.fr/hal-00654517/document
  volume: '9'

- id: HutterEvaluation2013
  author:
    - family: Hutter
      given: Frank
    - family: Hoos
      given: Holger
    - family: Leyton-Brown
      given: Kevin
  citation-key: HutterEvaluation2013
  collection-title: GECCO '13 Companion
  container-title: >-
    Proceedings of the 15th Annual Conference Companion on Genetic and
    Evolutionary Computation
  DOI: 10.1145/2464576.2501592
  event-place: New York, NY, USA
  ISBN: 978-1-4503-1964-5
  issued:
    - year: 2013
  page: 1209–1216
  publisher: ACM
  publisher-place: New York, NY, USA
  title: >-
    An Evaluation of Sequential Model-based Optimization for Expensive Blackbox
    Functions
  type: paper-conference
  URL: http://www.cs.ubc.ca/~hutter/papers/13-GECCO-BBOB_SMAC.pdf

- id: HutterSequential2011
  author:
    - family: Hutter
      given: Frank
    - family: Hoos
      given: Holger H.
    - family: Leyton-Brown
      given: Kevin
  citation-key: HutterSequential2011
  collection-title: Lecture Notes in Computer Science
  container-title: Learning and Intelligent Optimization
  DOI: 10.1007/978-3-642-25566-3_40
  event-place: Berlin, Heidelberg
  event-title: International Conference on Learning and Intelligent Optimization
  ISBN: 978-3-642-25565-6 978-3-642-25566-3
  issued:
    - year: 2011
      month: 1
      day: 17
  language: en
  page: 507-523
  publisher: Springer, Berlin, Heidelberg
  publisher-place: Berlin, Heidelberg
  title: Sequential Model-Based Optimization for General Algorithm Configuration
  type: paper-conference
  URL: http://cs.ubc.ca/~hutter/papers/11-LION5-SMAC.pdf
  volume: '6683'

- id: LiHyperband2017
  author:
    - family: Li
      given: Lisha
    - family: Jamieson
      given: Kevin
    - family: DeSalvo
      given: Giulia
    - family: Rostamizadeh
      given: Afshin
    - family: Talwalkar
      given: Ameet
  citation-key: LiHyperband2017
  container-title: The Journal of Machine Learning Research
  ISSN: 1532-4435
  issue: '1'
  issued:
    - year: 2017
      month: 1
      day: 1
  page: 6765–6816
  title: 'Hyperband: a novel bandit-based approach to hyperparameter optimization'
  type: article-journal
  URL: https://jmlr.csail.mit.edu/papers/v18/16-558.html
  volume: '18'

- id: LiuDARTS2019
  accessed:
    - year: 2020
      month: 10
      day: 1
  author:
    - family: Liu
      given: Hanxiao
    - family: Simonyan
      given: Karen
    - family: Yang
      given: Yiming
  citation-key: LiuDARTS2019
  container-title: arXiv:1806.09055 [cs, stat]
  issued:
    - year: 2019
      month: 4
      day: 23
  title: 'DARTS: Differentiable Architecture Search'
  type: article-journal
  URL: http://arxiv.org/abs/1806.09055

- id: MaclaurinGradientbased2015
  accessed:
    - year: 2022
      month: 4
      day: 23
  author:
    - family: Maclaurin
      given: Dougal
    - family: Duvenaud
      given: David
    - family: Adams
      given: Ryan
  citation-key: MaclaurinGradientbased2015
  container-title: Proceedings of the 32nd International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 1938-7228
  issued:
    - year: 2015
      month: 6
      day: 1
  language: en
  page: 2113-2122
  publisher: PMLR
  title: Gradient-based Hyperparameter Optimization through Reversible Learning
  type: paper-conference
  URL: https://proceedings.mlr.press/v37/maclaurin15.html

- id: MockusBayesian1975
  accessed:
    - year: 2022
      month: 8
      day: 11
  author:
    - family: Močkus
      given: J.
  citation-key: MockusBayesian1975
  collection-title: Lecture Notes in Computer Science
  container-title: >-
    Optimization Techniques IFIP Technical Conference: Novosibirsk, July 1–7,
    1974
  DOI: 10.1007/978-3-662-38527-2_55
  editor:
    - family: Marchuk
      given: G. I.
  event-place: Berlin, Heidelberg
  ISBN: 978-3-662-38527-2
  issued:
    - year: 1975
  language: en
  page: 400-404
  publisher: Springer
  publisher-place: Berlin, Heidelberg
  title: On Bayesian Methods for Seeking the Extremum
  type: paper-conference

- id: RealAutoMLZero2020
  accessed:
    - year: 2020
      month: 3
      day: 15
  author:
    - family: Real
      given: Esteban
    - family: Liang
      given: Chen
    - family: So
      given: David R.
    - family: Le
      given: Quoc V.
  citation-key: RealAutoMLZero2020
  issued:
    - year: 2020
      month: 3
      day: 6
  language: en
  title: 'AutoML-Zero: Evolving Machine Learning Algorithms From Scratch'
  type: article-journal
  URL: https://arxiv.org/abs/2003.03384v1

- id: SalimansMarkov2015
  accessed:
    - year: 2017
      month: 8
      day: 30
  author:
    - family: Salimans
      given: Tim
    - family: Kingma
      given: Diederik
    - family: Welling
      given: Max
  citation-key: SalimansMarkov2015
  collection-title: ICML'15
  container-title: >-
    Proceedings of the 32nd International Conference on Machine Learning
    (ICML-15)
  event-place: Lille, France
  event-title: International Conference on Machine Learning
  ISSN: 1938-7228
  issued:
    - year: 2015
  language: en
  page: 1218–1226
  publisher: JMLR.org
  publisher-place: Lille, France
  section: Machine Learning
  title: 'Markov chain monte carlo and variational inference: Bridging the gap'
  type: paper-conference
  URL: http://proceedings.mlr.press/v37/salimans15.html

- id: SnoekInput2014
  author:
    - family: Snoek
      given: Jasper
    - family: Swersky
      given: Kevin
    - family: Zemel
      given: Rich
    - family: Adams
      given: Ryan
  citation-key: SnoekInput2014
  container-title: >-
    Proceedings of the 31st International Conference on Machine Learning
    (ICML-14)
  event-title: International Conference on Machine Learning
  issued:
    - year: 2014
  page: 1674–1682
  title: Input Warping for Bayesian Optimization of Non-Stationary Functions
  type: paper-conference
  URL: http://www.jmlr.org/proceedings/papers/v32/snoek14.pdf

- id: SnoekPractical2012
  author:
    - family: Snoek
      given: Jasper
    - family: Larochelle
      given: Hugo
    - family: Adams
      given: Ryan P.
  citation-key: SnoekPractical2012
  container-title: Advances in neural information processing systems
  issued:
    - year: 2012
  page: 2951–2959
  publisher: Curran Associates, Inc.
  title: Practical bayesian optimization of machine learning algorithms
  type: paper-conference
  URL: http://arxiv.org/abs/1206.2944

- id: SrinivasGaussian2012
  author:
    - family: Srinivas
      given: Niranjan
    - family: Krause
      given: Andreas
    - family: Kakade
      given: Sham M.
    - family: Seeger
      given: Matthias
  citation-key: SrinivasGaussian2012
  container-title: IEEE Transactions on Information Theory
  DOI: 10.1109/TIT.2011.2182033
  ISSN: 0018-9448, 1557-9654
  issue: '5'
  issued:
    - year: 2012
      month: 5
  page: 3250-3265
  title: >-
    Gaussian Process Optimization in the Bandit Setting: No Regret and
    Experimental Design
  type: article-journal
  URL: http://arxiv.org/abs/0912.3995
  volume: '58'

- id: SwerskyMultiTask2013
  author:
    - family: Swersky
      given: Kevin
    - family: Snoek
      given: Jasper
    - family: Adams
      given: Ryan P
  citation-key: SwerskyMultiTask2013
  container-title: Advances in Neural Information Processing Systems 26
  editor:
    - family: Burges
      given: C. J. C.
    - family: Bottou
      given: L.
    - family: Welling
      given: M.
    - family: Ghahramani
      given: Z.
    - family: Weinberger
      given: K. Q.
  issued:
    - year: 2013
  page: 2004–2012
  publisher: Curran Associates, Inc.
  title: Multi-Task Bayesian Optimization
  type: paper-conference
  URL: http://papers.nips.cc/paper/5086-multi-task-bayesian-optimization.pdf

- id: ThorntonAutoWEKA2013
  accessed:
    - year: 2017
      month: 7
      day: 17
  author:
    - family: Thornton
      given: Chris
    - family: Hutter
      given: Frank
    - family: Hoos
      given: Holger H.
    - family: Leyton-Brown
      given: Kevin
  citation-key: ThorntonAutoWEKA2013
  collection-title: KDD '13
  container-title: >-
    Proceedings of the 19th ACM SIGKDD International Conference on Knowledge
    Discovery and Data Mining
  DOI: 10.1145/2487575.2487629
  event-place: New York, NY, USA
  ISBN: 978-1-4503-2174-7
  issued:
    - year: 2013
  page: 847–855
  publisher: ACM
  publisher-place: New York, NY, USA
  title: >-
    Auto-WEKA: Combined Selection and Hyperparameter Optimization of
    Classification Algorithms
  type: paper-conference
  URL: https://arxiv.org/abs/1208.3719
...
